% Matlab equation file: "HELI3D_ABCD_eqns.m"
% Open-Loop State-Space Matrices: A, B, C, and D
% for the Quanser 3-DOF Helicopter Experiment.

A( 1, 1 ) = 0;
A( 1, 2 ) = 0;
A( 1, 3 ) = 0;
A( 1, 4 ) = 1;
A( 1, 5 ) = 0;
A( 1, 6 ) = 0;
A( 2, 1 ) = 0;
A( 2, 2 ) = 0;
A( 2, 3 ) = 0;
A( 2, 4 ) = 0;
A( 2, 5 ) = 1;
A( 2, 6 ) = 0;
A( 3, 1 ) = 0;
A( 3, 2 ) = 0;
A( 3, 3 ) = 0;
A( 3, 4 ) = 0;
A( 3, 5 ) = 0;
A( 3, 6 ) = 1;
A( 4, 1 ) = 0;
A( 4, 2 ) = 0;
A( 4, 3 ) = 0;
A( 4, 4 ) = 0;
A( 4, 5 ) = 0;
A( 4, 6 ) = 0;
A( 5, 1 ) = 0;
A( 5, 2 ) = 0;
A( 5, 3 ) = 0;
A( 5, 4 ) = 0;
A( 5, 5 ) = 0;
A( 5, 6 ) = 0;
A( 6, 1 ) = 0;
A( 6, 2 ) = (2*m_f*La-m_w*Lw)*g/(2*m_f*La^2+2*m_f*Lh^2+m_w*Lw^2);
A( 6, 3 ) = 0;
A( 6, 4 ) = 0;
A( 6, 5 ) = 0;
A( 6, 6 ) = 0;

B( 1, 1 ) = 0;
B( 1, 2 ) = 0;
B( 2, 1 ) = 0;
B( 2, 2 ) = 0;
B( 3, 1 ) = 0;
B( 3, 2 ) = 0;
B( 4, 1 ) = La*Kf/(m_w*Lw^2+2*m_f*La^2);
B( 4, 2 ) = La*Kf/(m_w*Lw^2+2*m_f*La^2);
B( 5, 1 ) = 1/2*Kf/m_f/Lh;
B( 5, 2 ) = -1/2*Kf/m_f/Lh;
B( 6, 1 ) = 0;
B( 6, 2 ) = 0;

C( 1, 1 ) = 1;
C( 1, 2 ) = 0;
C( 1, 3 ) = 0;
C( 1, 4 ) = 0;
C( 1, 5 ) = 0;
C( 1, 6 ) = 0;
C( 2, 1 ) = 0;
C( 2, 2 ) = 1;
C( 2, 3 ) = 0;
C( 2, 4 ) = 0;
C( 2, 5 ) = 0;
C( 2, 6 ) = 0;
C( 3, 1 ) = 0;
C( 3, 2 ) = 0;
C( 3, 3 ) = 1;
C( 3, 4 ) = 0;
C( 3, 5 ) = 0;
C( 3, 6 ) = 0;

D( 1, 1 ) = 0;
D( 1, 2 ) = 0;
D( 2, 1 ) = 0;
D( 2, 2 ) = 0;
D( 3, 1 ) = 0;
D( 3, 2 ) = 0;
